X2Go Bug report logs - #788
Pyhoca-Gui freezes when connection to desktop

version graph

Package: x2goserver-xsession; Maintainer for x2goserver-xsession is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver-xsession is src:x2goserver.

Reported by: "Ja Bi" <Bi.Ja@seznam.cz>

Date: Thu, 12 Feb 2015 13:30:01 UTC

Severity: normal

Tags: pending

Merged with 632, 808

Found in version 4.0.1.18

Fixed in version 4.0.1.19

Done: Mihai Moldovan <ionic@ionic.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Thu, 12 Feb 2015 13:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Thu, 12 Feb 2015 13:30:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: <submit@bugs.x2go.org>
Subject: Pyhoca-Gui freezes when connection to desktop
Date: Thu, 12 Feb 2015 14:13:33 +0100 (CET)
[Message part 1 (text/plain, inline)]
Package: Pyhoca-Gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2 
(gentoo)




I tried with lxde and xfce and both do the same. After some time (2-20sec) 
it stops, freeze somehow. You cant move any window, nothing, but when you 
are on a bottom frame of some window, mouse pointer changes(but you cant 
still resize the window)





1.anytime when i connect to server and try to run lxde or xfce session


2.nothing

3.run session smoothly

4.it is frozen




client is updated gentoo linux

server is updated gentoo linux with

nx-3.5.0.28



NXAGENT - Version 3.5.0






*  dev-util/xfce4-dev-tools

      Latest version installed: 4.11.0

*  x11-themes/gtk-engines-xfce

      Latest version installed: 3.0.1-r201

*  xfce-base/libxfce4ui

      Latest version installed: 4.11.1

*  xfce-base/libxfce4util

      Latest version installed: 4.11.0

*  xfce-base/xfce4-appfinder

      Latest version installed: 4.11.0

*  xfce-base/xfce4-meta

      Latest version installed: 4.10

*  xfce-base/xfce4-panel

      Latest version installed: 4.11.1

*  xfce-base/xfce4-session

      Latest version installed: 4.11.0-r2

*  xfce-base/xfce4-settings

      Latest version installed: 4.11.3






 lxde-base/lxde-common

         Latest version installed: 0.5.5-r3

   




=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Fri, 13 Feb 2015 08:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 13 Feb 2015 08:45:02 GMT) Full text and rfc822 format available.

Message #10 received at 788@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Fri, 13 Feb 2015 08:41:20 +0000
[Message part 1 (text/plain, inline)]
reassign -1 pyhoca-gui

Hi Jan,

On  Do 12 Feb 2015 14:13:33 CET, Ja Bi wrote:

> Package: Pyhoca-Gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2
> (gentoo)
>
>
>
>
> I tried with lxde and xfce and both do the same. After some time (2-20sec)
> it stops, freeze somehow. You cant move any window, nothing, but when you
> are on a bottom frame of some window, mouse pointer changes(but you cant
> still resize the window)
>
>
>
>
>
> 1.anytime when i connect to server and try to run lxde or xfce session
>
>
> 2.nothing
>
> 3.run session smoothly
>
> 4.it is frozen
>
>
>
>
> client is updated gentoo linux
>
> server is updated gentoo linux with
>
> nx-3.5.0.28

PyHoca-GUI with wxPython 3.0 and python-gevent << 1.0 (strictly less!)  
behaves weirdly.

What wxPython version do you use? What gevent version do you use?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Fri, 13 Feb 2015 12:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 13 Feb 2015 12:55:01 GMT) Full text and rfc822 format available.

Message #15 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Cc: <788@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Fri, 13 Feb 2015 13:40:49 +0100 (CET)
[Message part 1 (text/plain, inline)]
Does not ring a bell. "reassign" is some command???










---------- Původní zpráva ----------
Od: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Komu: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Datum: 13. 2. 2015 9:41:24
Předmět: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to 
desktop

"reassign -1 pyhoca-gui

Hi Jan,

On Do 12 Feb 2015 14:13:33 CET, Ja Bi wrote:

> Package: Pyhoca-Gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2
> (gentoo)
>
>
>
>
> I tried with lxde and xfce and both do the same. After some time (2-20sec)
> it stops, freeze somehow. You cant move any window, nothing, but when you
> are on a bottom frame of some window, mouse pointer changes(but you cant
> still resize the window)
>
>
>
>
>
> 1.anytime when i connect to server and try to run lxde or xfce session
>
>
> 2.nothing
>
> 3.run session smoothly
>
> 4.it is frozen
>
>
>
>
> client is updated gentoo linux
>
> server is updated gentoo linux with
>
> nx-3.5.0.28

PyHoca-GUI with wxPython 3.0 and python-gevent << 1.0 (strictly less!) 
behaves weirdly.

What wxPython version do you use? What gevent version do you use?

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.
xfb"=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Fri, 13 Feb 2015 17:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 13 Feb 2015 17:25:02 GMT) Full text and rfc822 format available.

Message #20 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Fri, 13 Feb 2015 18:23:06 +0100
[Message part 1 (text/plain, inline)]
On 13.02.2015 01:40 PM, Ja Bi wrote:
>
> Does not ring a bell. "reassign" is some command???
>

Yes, it's a command for the Debian Bugtracker. Feel free to ignore it.

Down in his message, Mike asked some questions:
> PyHoca-GUI with wxPython 3.0 and python-gevent << 1.0 (strictly less!)
> behaves weirdly.
>
> What wxPython version do you use?
>
> What gevent version do you use?

An answer would be greatly appreciated.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Sat, 14 Feb 2015 14:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sat, 14 Feb 2015 14:35:02 GMT) Full text and rfc822 format available.

Message #25 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: <788@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Sat, 14 Feb 2015 15:34:29 +0100 (CET)
[Message part 1 (text/plain, inline)]
thanks :)
dev-python/wxpython-3.0.2.0:3.0::gentoo  USE="cairo libnotify opengl -
examples" PYTHON_TARGETS="python2_7"





dev-python/gevent

      Latest version installed: 1.0.1











---------- Původní zpráva ----------
Od: Mihai Moldovan <ionic@ionic.de>
Komu: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Datum: 13. 2. 2015 18:30:20
Předmět: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection
to desktop

"On 13.02.2015 01:40 PM, Ja Bi wrote:
>
> Does not ring a bell. "reassign" is some command???
>

Yes, it's a command for the Debian Bugtracker. Feel free to ignore it.

Down in his message, Mike asked some questions:
> PyHoca-GUI with wxPython 3.0 and python-gevent << 1.0 (strictly less!)
> behaves weirdly.
>
> What wxPython version do you use?
>
> What gevent version do you use?

An answer would be greatly appreciated.



Mihai"
=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Sat, 21 Feb 2015 10:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sat, 21 Feb 2015 10:20:02 GMT) Full text and rfc822 format available.

Message #30 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: <788@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Sat, 21 Feb 2015 11:16:48 +0100 (CET)
[Message part 1 (text/plain, inline)]
Second try :(




dev-python/wxpython-3.0.2.0:3.0::gentoo  USE="cairo libnotify opengl -
examples" PYTHON_TARGETS="python2_7"





dev-python/gevent

      Latest version installed: 1.0.1






---------- Původní zpráva ----------
Od: Mihai Moldovan <ionic@ionic.de>
Komu: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Datum: 13. 2. 2015 18:30:20
Předmět: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection
to desktop

"On 13.02.2015 01:40 PM, Ja Bi wrote:
>
> Does not ring a bell. "reassign" is some command???
>

Yes, it's a command for the Debian Bugtracker. Feel free to ignore it.

Down in his message, Mike asked some questions:
> PyHoca-GUI with wxPython 3.0 and python-gevent << 1.0 (strictly less!)
> behaves weirdly.
>
> What wxPython version do you use?
>
> What gevent version do you use?

An answer would be greatly appreciated.



Mihai"
=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Sat, 21 Feb 2015 15:25:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sat, 21 Feb 2015 15:25:02 GMT) Full text and rfc822 format available.

Message #35 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Ja Bi <Bi.Ja@seznam.cz>, Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: 788@bugs.x2go.org, "x2go-dev@lists.x2go.org" <x2go-dev@lists.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Sat, 21 Feb 2015 16:21:54 +0100
[Message part 1 (text/plain, inline)]
Hi

Sorry for the delay. I've noticed your message the first time around,
but given that gevent is recent enough, I didn't have any additional
information.

I can only suggest to start pyhoca-gui with the additional parameters
--debug and --libdebug to see what is going on (if anything.)

Disclaimer: I have practically no idea of python in general and X2Go's
python code (including pyhoca*) specifically, Mike is probably the best
person to help with that.



Mihai



On 21.02.2015 11:16 AM, Ja Bi wrote:
> Second try :(
>
> dev-python/wxpython-3.0.2.0:3.0::gentoo  USE="cairo libnotify opengl
> -examples" PYTHON_TARGETS="python2_7"
>
> dev-python/gevent
>       Latest version installed: 1.0.1
>
> [...]
>
>     > PyHoca-GUI with wxPython 3.0 and python-gevent << 1.0 (strictly
>     less!)
>     > behaves weirdly.
>     >
>     > What wxPython version do you use?
>     >
>     > What gevent version do you use?
>

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Sun, 22 Feb 2015 01:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 22 Feb 2015 01:05:02 GMT) Full text and rfc822 format available.

Message #40 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>, <788@bugs.x2go.org>, <x2go-dev@lists.x2go.org>
Subject: Re: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Sun, 22 Feb 2015 02:03:24 +0100 (CET)
[Message part 1 (text/plain, inline)]
Libdebug shows nothing...:(







-------- Původní zpráva --------

Od: Mihai Moldovan 

Datum: 21.2.2015

Předmět: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection


to desktop



Hi Sorry for the delay. I've noticed your message the first time around, but
given that gevent is recent enough, I didn't have any additional 
information. I can only suggest to start pyhoca-gui with the additional 
parameters --debug and --libdebug to see what is going on (if anything.) 
Disclaimer: I have practically no idea of python in general and X2Go's 
python code (including pyhoca*) specifically, Mike is probably the best 
person to help with that. Mihai On 21.02.2015 11:16 AM, Ja Bi wrote: > 
Second try :( > > dev-python/wxpython-3.0.2.0:3.0::gentoo USE="cairo 
libnotify opengl > -examples" PYTHON_TARGETS="python2_7" > > dev-python/
gevent > Latest version installed: 1.0.1 > > [...] > > > PyHoca-GUI with 
wxPython 3.0 and python-gevent less!) > > behaves weirdly. > > > > What 
wxPython version do you use? > > > > What gevent version do you use? >=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Sun, 22 Feb 2015 17:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 22 Feb 2015 17:40:02 GMT) Full text and rfc822 format available.

Message #45 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Ja Bi <Bi.Ja@seznam.cz>
Cc: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Sun, 22 Feb 2015 18:39:01 +0100
[Message part 1 (text/plain, inline)]
On 22.02.2015 02:03 AM, Ja Bi wrote:
> Libdebug shows nothing...:(

Neither --debug nor --libdebug shed any light? Ok.

Just to rule out a server-side problem: have you already tried
x2goclient connecting to the same box? Does this work as expected?



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Mon, 23 Feb 2015 05:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Mon, 23 Feb 2015 05:40:02 GMT) Full text and rfc822 format available.

Message #50 received at 788@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>
Cc: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Mon, 23 Feb 2015 05:37:07 +0000
[Message part 1 (text/plain, inline)]
Hi Mihai,

On  So 22 Feb 2015 18:39:01 CET, Mihai Moldovan wrote:

> On 22.02.2015 02:03 AM, Ja Bi wrote:
>> Libdebug shows nothing...:(
>
> Neither --debug nor --libdebug shed any light? Ok.
>
> Just to rule out a server-side problem: have you already tried
> x2goclient connecting to the same box? Does this work as expected?

the above is an issue with old Python Gevent (<< 1.0.0) and wxPython 3.x.

Upgrading Python Gevent to a version >= 1.0.0 helps. I tried to  
provide that version in our .deb archives. Not sure about other  
distros (RPM-based).

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Mon, 23 Feb 2015 05:45:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Mon, 23 Feb 2015 05:45:02 GMT) Full text and rfc822 format available.

Message #55 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Mon, 23 Feb 2015 06:40:07 +0100
[Message part 1 (text/plain, inline)]
On 23.02.2015 06:37 AM, Mike Gabriel wrote:
> the above is an issue with old Python Gevent (<< 1.0.0) and wxPython 3.x.
>
> Upgrading Python Gevent to a version >= 1.0.0 helps. I tried to
> provide that version in our .deb archives. Not sure about other
> distros (RPM-based).

But the user is using Gentoo with gevent 1.0.1 and wxpython version
3.0.2.0. Given that, it should just work? That's what the confusion is
all about.


Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Tue, 24 Feb 2015 09:50:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 24 Feb 2015 09:50:02 GMT) Full text and rfc822 format available.

Message #60 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: <788@bugs.x2go.org>, "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Tue, 24 Feb 2015 10:45:07 +0100 (CET)
[Message part 1 (text/plain, inline)]
Exactly. I tried to use x2goclient, but the dependecies (here on gento) to 
qt are huge (i tried to avoid this qt stuff) so i don`t really want to 
install it:( (maybe if i find some binaries) or try from windows or 
different linux.



thanks...



---------- Původní zpráva ----------
Od: Mihai Moldovan <ionic@ionic.de>
Komu: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Datum: 23. 2. 2015 6:46:44
Předmět: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection
to desktop

"On 23.02.2015 06:37 AM, Mike Gabriel wrote:
> the above is an issue with old Python Gevent (<< 1.0.0) and wxPython 3.x.
>
> Upgrading Python Gevent to a version >= 1.0.0 helps. I tried to
> provide that version in our .deb archives. Not sure about other
> distros (RPM-based).

But the user is using Gentoo with gevent 1.0.1 and wxpython version
3.0.2.0. Given that, it should just work? That's what the confusion is
all about.


Mihai"
=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Tue, 24 Feb 2015 14:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 24 Feb 2015 14:55:01 GMT) Full text and rfc822 format available.

Message #65 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Tue, 24 Feb 2015 15:52:44 +0100
[Message part 1 (text/plain, inline)]
On 24.02.2015 10:45 AM, Ja Bi wrote:
> Exactly. I tried to use x2goclient, but the dependecies (here on
> gento) to qt are huge (i tried to avoid this qt stuff) so i don`t
> really want to install it:( (maybe if i find some binaries) or try
> from windows or different linux.

Testing with x2goclient from another system (for instance via a debian
VM or the like with the heuler package of x2goclient installed) would be
the easiest solution to make sure it's not a server issue. I'm currently
in the process of updating my Gentoo box (unrelated to this), so I
cannot test right away. I will do once the upgrade is through and I have
installed pyhoca.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Tue, 24 Feb 2015 16:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 24 Feb 2015 16:00:02 GMT) Full text and rfc822 format available.

Message #70 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: <788@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Tue, 24 Feb 2015 16:59:13 +0100 (CET)
[Message part 1 (text/plain, inline)]
I am trying with pyhoca client from windows7 and from gentoo and it is the 
same...


---------- Původní zpráva ----------
Od: Mihai Moldovan <ionic@ionic.de>
Komu: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Datum: 24. 2. 2015 16:01:49
Předmět: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to 
desktop

"On 24.02.2015 10:45 AM, Ja Bi wrote:
> Exactly. I tried to use x2goclient, but the dependecies (here on
> gento) to qt are huge (i tried to avoid this qt stuff) so i don`t
> really want to install it:( (maybe if i find some binaries) or try
> from windows or different linux.

Testing with x2goclient from another system (for instance via a debian
VM or the like with the heuler package of x2goclient installed) would be
the easiest solution to make sure it's not a server issue. I'm currently
in the process of updating my Gentoo box (unrelated to this), so I
cannot test right away. I will do once the upgrade is through and I have
installed pyhoca.



Mihai"
=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Thu, 26 Feb 2015 17:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Thu, 26 Feb 2015 17:15:02 GMT) Full text and rfc822 format available.

Message #75 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Ja Bi <Bi.Ja@seznam.cz>
Cc: 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Thu, 26 Feb 2015 18:11:22 +0100
[Message part 1 (text/plain, inline)]
On 24.02.2015 04:59 PM, Ja Bi wrote:
> I am trying with pyhoca client from windows7 and from gentoo and it is
> the same...

I wasn't able to reproduce your problem on my machine. This is, however,
not, because I wasn't able to reproduce the bug per se, but because my
nxagent is crashing once I click on any button in XFCE.

Gentoo seems to be doing some weird stuff anyway (like not using nxagent
in "x2goagent mode" for X2Go). I will have to look into that some time
next week.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Fri, 27 Feb 2015 21:20:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 27 Feb 2015 21:20:01 GMT) Full text and rfc822 format available.

Message #80 received at 788@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Mihai Moldovan <ionic@ionic.de>, 788@bugs.x2go.org, Ja Bi <Bi.Ja@seznam.cz>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Fri, 27 Feb 2015 21:18:38 +0000
[Message part 1 (text/plain, inline)]
On  Do 26 Feb 2015 18:11:22 CET, Mihai Moldovan wrote:

> Gentoo seems to be doing some weird stuff anyway (like not using nxagent
> in "x2goagent mode" for X2Go). I will have to look into that some time
> next week.

Urghmmm... that's what we do in Debian, Fedora, SUSE, openSUSE...  
Launch nxagent as x2goagent (via a symlink) and activate path changes  
and the X2GO logo on session startup [1].

Mike

[1]  
http://code.x2go.org/gitweb?p=nx-libs.git;a=blob;f=debian/patches/0999_nxagent_unbrand-nxagent-brand-x2goagent.full.patch;h=62c85cfb276551a68e99c9bd0e3bd1e2bdc32042;hb=2b2a02f93f552a38de8f72a971fa3f3ff42b3298
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Fri, 27 Feb 2015 21:35:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Fri, 27 Feb 2015 21:35:02 GMT) Full text and rfc822 format available.

Message #85 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 788@bugs.x2go.org, Ja Bi <Bi.Ja@seznam.cz>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Fri, 27 Feb 2015 22:29:57 +0100
[Message part 1 (text/plain, inline)]
On 27.02.2015 10:18 PM, Mike Gabriel wrote:
> On  Do 26 Feb 2015 18:11:22 CET, Mihai Moldovan wrote:
>
>> Gentoo seems to be doing some weird stuff anyway (like not using nxagent
>> in "x2goagent mode" for X2Go). I will have to look into that some time
>> next week.
>
> Urghmmm... that's what we do in Debian, Fedora, SUSE, openSUSE...
> Launch nxagent as x2goagent (via a symlink) and activate path changes
> and the X2GO logo on session startup [1].

I know. I consider using "nxagent" instead of "x2goagent" (as a symlink)
for x2go a bug and will have to beat downstream into submission.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Sun, 01 Mar 2015 09:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 01 Mar 2015 09:15:02 GMT) Full text and rfc822 format available.

Message #90 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>, <788@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Sun, 01 Mar 2015 10:10:51 +0100 (CET)
[Message part 1 (text/plain, inline)]
Hi guys,



i have find out where is problem (but for now i dont know how to solve it)

Problem si probable this:




cat /home/user/.xsession-x2go-errors


vmware-user: could not open /proc/fs/vmblock/dev

Xlib:  extension "VMWARE_CTRL" missing on display ":58".





after this is written to log, session "freezes".




Jan



---------- Původní zpráva ----------
Od: Mihai Moldovan <ionic@ionic.de>
Komu: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 788@bugs.x2go.org, Ja
Bi <Bi.Ja@seznam.cz>
Datum: 27. 2. 2015 22:37:00
Předmět: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection
to desktop

"On 27.02.2015 10:18 PM, Mike Gabriel wrote:
> On Do 26 Feb 2015 18:11:22 CET, Mihai Moldovan wrote:
>
>> Gentoo seems to be doing some weird stuff anyway (like not using nxagent
>> in "x2goagent mode" for X2Go). I will have to look into that some time
>> next week.
>
> Urghmmm... that's what we do in Debian, Fedora, SUSE, openSUSE...
> Launch nxagent as x2goagent (via a symlink) and activate path changes
> and the X2GO logo on session startup [1].

I know. I consider using "nxagent" instead of "x2goagent" (as a symlink)
for x2go a bug and will have to beat downstream into submission.



Mihai"
=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Sun, 01 Mar 2015 11:05:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 01 Mar 2015 11:05:01 GMT) Full text and rfc822 format available.

Message #95 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: "Mike Gabriel" <mike.gabriel@das-netzwerkteam.de>, <788@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Sun, 01 Mar 2015 12:02:38 +0100 (CET)
[Message part 1 (text/plain, inline)]
Ok, probably solved.



I removed /etc/x2go/xinitrc.d/vmware-xsession-gdm.sh

and now it works as it should.




thank you very much guys!




Jan

---------- Původní zpráva ----------
Od: Mihai Moldovan <ionic@ionic.de>
Komu: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 788@bugs.x2go.org, Ja
Bi <Bi.Ja@seznam.cz>
Datum: 27. 2. 2015 22:37:00
Předmět: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection
to desktop

"On 27.02.2015 10:18 PM, Mike Gabriel wrote:
> On Do 26 Feb 2015 18:11:22 CET, Mihai Moldovan wrote:
>
>> Gentoo seems to be doing some weird stuff anyway (like not using nxagent
>> in "x2goagent mode" for X2Go). I will have to look into that some time
>> next week.
>
> Urghmmm... that's what we do in Debian, Fedora, SUSE, openSUSE...
> Launch nxagent as x2goagent (via a symlink) and activate path changes
> and the X2GO logo on session startup [1].

I know. I consider using "nxagent" instead of "x2goagent" (as a symlink)
for x2go a bug and will have to beat downstream into submission.



Mihai"
=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Sun, 01 Mar 2015 14:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Sun, 01 Mar 2015 14:30:02 GMT) Full text and rfc822 format available.

Message #100 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Ja Bi <Bi.Ja@seznam.cz>
Cc: 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Sun, 01 Mar 2015 15:28:44 +0100
[Message part 1 (text/plain, inline)]
On 01.03.2015 12:02 PM, Ja Bi wrote:
> Ok, probably solved.
>
> I removed /etc/x2go/xinitrc.d/vmware-xsession-gdm.sh
> and now it works as it should.

Wait, did you complete remove it?

x2goserver 4.0.1.19[1] should have fixed such problems (it's also
available in Gentoo as of a few days) so there's no need to complete
remove that file, if you still need it.

Thus, you're free to put it back after upgrading to x2goserver 4.0.1.19.

Note that /etc/x2go/xinitrc.d is a SYMLINK to /etc/X11/xinit/xinitrc.d
which is a system folder.


Glad it works for you! Is this really fixed now?


Mihai

[1] http://goo.gl/ZbV5oH

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Mon, 02 Mar 2015 09:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Mon, 02 Mar 2015 09:00:01 GMT) Full text and rfc822 format available.

Message #105 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: <788@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Mon, 02 Mar 2015 09:59:35 +0100 (CET)
[Message part 1 (text/plain, inline)]
Aha, i didn't know that it is a symlink and i though that i use it only when
i connect via vmware client, what is not that common, but you are right, i 
will try to do it better :)



Jan

---------- Původní zpráva ----------
Od: Mihai Moldovan <ionic@ionic.de>
Komu: Ja Bi <Bi.Ja@seznam.cz>
Datum: 1. 3. 2015 15:37:14
Předmět: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection
to desktop

"On 01.03.2015 12:02 PM, Ja Bi wrote:
> Ok, probably solved.
>
> I removed /etc/x2go/xinitrc.d/vmware-xsession-gdm.sh
> and now it works as it should.

Wait, did you complete remove it?

x2goserver 4.0.1.19[1] should have fixed such problems (it's also
available in Gentoo as of a few days) so there's no need to complete
remove that file, if you still need it.

Thus, you're free to put it back after upgrading to x2goserver 4.0.1.19.

Note that /etc/x2go/xinitrc.d is a SYMLINK to /etc/X11/xinit/xinitrc.d
which is a system folder.


Glad it works for you! Is this really fixed now?


Mihai

[1] http://goo.gl/ZbV5oH"
=
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Tue, 03 Mar 2015 13:30:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Tue, 03 Mar 2015 13:30:02 GMT) Full text and rfc822 format available.

Message #110 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Tue, 03 Mar 2015 14:26:19 +0100
[Message part 1 (text/plain, inline)]
Hi Jan


On 02.03.2015 09:59 AM, Ja Bi wrote:
> Aha, i didn't know that it is a symlink and i though that i use it
> only when i connect via vmware client, what is not that common, but
> you are right, i will try to do it better :)

Can you please do me a favor and write a script that does nothing but
fails and put it into /etc/X11/xinit/xinitrc.d, then test if x2goserver
4.0.1.19 continues to work even if that script is in there and
pyhoca-gui does not freeze?


Kind of like that (as root):

printf '#!/bin/bash\nfalse\n' > /etc/X11/xinit/xinitrc.d/00-failscript
chmod +x /etc/X11/xinit/xinitrc.d/00-failscript

Then make sure to have x2goserver 4.0.1.19 installed and test via
pyhoca-gui as usual.

If it works fine, terminate the session and run

rm /etc/X11/xinit/xinitrc.d/00-failscript

Then report back here, so that I can close the ticket.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#788; Package  pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2. (Wed, 04 Mar 2015 10:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Wed, 04 Mar 2015 10:55:01 GMT) Full text and rfc822 format available.

Message #115 received at 788@bugs.x2go.org (full text, mbox):

From: "Ja Bi" <Bi.Ja@seznam.cz>
To: "Mihai Moldovan" <ionic@ionic.de>
Cc: <788@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Wed, 04 Mar 2015 11:40:18 +0100 (CET)
[Message part 1 (text/plain, inline)]
Looks the same to me with this failscript (what is it supposed to do?)






thank you very much guys...




Jan

---------- Původní zpráva ----------
Od: Mihai Moldovan <ionic@ionic.de>
Komu: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Datum: 3. 3. 2015 14:32:22
Předmět: Re: [X2Go-Dev] Bug#788: Pyhoca-Gui freezes when connection to 
desktop

"Hi Jan


On 02.03.2015 09:59 AM, Ja Bi wrote:
> Aha, i didn't know that it is a symlink and i though that i use it
> only when i connect via vmware client, what is not that common, but
> you are right, i will try to do it better :)

Can you please do me a favor and write a script that does nothing but
fails and put it into /etc/X11/xinit/xinitrc.d, then test if x2goserver
4.0.1.19 continues to work even if that script is in there and
pyhoca-gui does not freeze?


Kind of like that (as root):

printf '#!/bin/bash\nfalse\n' > /etc/X11/xinit/xinitrc.d/00-failscript
chmod +x /etc/X11/xinit/xinitrc.d/00-failscript

Then make sure to have x2goserver 4.0.1.19 installed and test via
pyhoca-gui as usual.

If it works fine, terminate the session and run

rm /etc/X11/xinit/xinitrc.d/00-failscript

Then report back here, so that I can close the ticket.



Mihai"
=
[Message part 2 (text/html, inline)]

Marked Bug as done Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 07 Mar 2015 02:15:01 GMT) Full text and rfc822 format available.

Notification sent to "Ja Bi" <Bi.Ja@seznam.cz>:
Bug acknowledged by developer. (Sat, 07 Mar 2015 02:15:01 GMT) Full text and rfc822 format available.

Bug reassigned from package ' pyhoca-gui-0.5.0.3, python-x2go 0.5.0.2, x2goserver-4.0.1.18-r2' to 'x2goserver'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 07 Mar 2015 02:25:01 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.18. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 07 Mar 2015 02:25:01 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#788; Package x2goserver. (Sat, 07 Mar 2015 12:05:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to abijahabsolon@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 07 Mar 2015 12:05:02 GMT) Full text and rfc822 format available.

Message #128 received at 788@bugs.x2go.org (full text, mbox):

From: "Abijáš Absolon" <bernd-rolf-sandrisser@t-online.de>
To: abijahabsolon@hotmail.com
Subject: Důležité sdělení
Date: Sat, 07 Mar 2015 12:56:41 +0100
Zdravím vás,

Kontaktoval jsem ti poslední dva týdny a já jsem nedostal žádnou odpověď. Jsem se zmínil o svém pozdním klienta, který má stejné příjmení s vámi. Ten uložil částku 14,2 milionů eur v jednom z banky tady v naší zemi a oni se mě zeptal, aby nejbližším příbuzným.

Laskavě ukázat váš zájem pracovat se mnou v mém osobním e-mailovou adresu abijahabsolon@gmail.com k tomu, aby mi předal podrobnosti o tomto projektu na vás.

S pozdravem,
Abijáš Absolon 



Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#788; Package x2goserver. (Tue, 10 Mar 2015 06:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 10 Mar 2015 06:15:02 GMT) Full text and rfc822 format available.

Message #133 received at 788@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: Ja Bi <Bi.Ja@seznam.cz>, 788@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#788: Bug#788: Pyhoca-Gui freezes when connection to desktop
Date: Tue, 10 Mar 2015 07:13:26 +0100
[Message part 1 (text/plain, inline)]
Control: close -1
Control: reassign -1 x2goserver-xsettings 4.0.1.18
Control: forcemerge 632 788
Thanks


On 04.03.2015 11:40 AM, Ja Bi wrote:
> Looks the same to me with this failscript (what is it supposed to do?)

Sorry for getting back so late.

The failscript was supposed to fail, i.e., return an uncatched exit code
not null.

This is what caused your problem in the first place (with the outdated
x2goserver version, nowadays not an issue anymore.)



Mihai

[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'x2goserver' to 'x2goserver-xsettings'. Request was from Mihai Moldovan <ionic@ionic.de> to 788-submit@bugs.x2go.org. (Tue, 10 Mar 2015 06:15:02 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1.18. Request was from Mihai Moldovan <ionic@ionic.de> to 788-submit@bugs.x2go.org. (Tue, 10 Mar 2015 06:15:02 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.18. Request was from Mihai Moldovan <ionic@ionic.de> to 788-submit@bugs.x2go.org. (Tue, 10 Mar 2015 06:15:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'x2goserver-xsettings' to 'x2goserver-xsession'. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 10 Mar 2015 06:20:01 GMT) Full text and rfc822 format available.

No longer marked as found in versions 4.0.1.18. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 10 Mar 2015 06:20:01 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.1.19. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 10 Mar 2015 06:20:01 GMT) Full text and rfc822 format available.

Marked as found in versions 4.0.1.18. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 10 Mar 2015 06:20:01 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 10 Mar 2015 06:20:01 GMT) Full text and rfc822 format available.

Merged 632 788 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Tue, 10 Mar 2015 06:20:01 GMT) Full text and rfc822 format available.

Merged 632 788 808 Request was from Mihai Moldovan <ionic@ionic.de> to 808-submit@bugs.x2go.org. (Wed, 18 Mar 2015 08:15:03 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#788; Package x2goserver-xsession. (Sat, 21 Mar 2015 15:25:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to abijahabsolon@gmail.com:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 21 Mar 2015 15:25:01 GMT) Full text and rfc822 format available.

Message #158 received at 788@bugs.x2go.org (full text, mbox):

From: "Abijáš Absolon" <Ch.Schuldt-CSI@t-online.de>
To: abijahabsolon@hotmail.com
Subject: Oznámení
Date: Sat, 21 Mar 2015 16:18:39 +0100
Zdravím vás,

Kontaktoval jsem ti poslední dva týdny a já jsem nedostal žádnou odpověď. Jsem se zmínil o svém pozdním klienta, který má stejné příjmení s vámi. Ten uložil částku 14,2 milionů eur v jednom z banky tady v naší zemi a oni se mě zeptal, aby nejbližším příbuzným.

Laskavě ukázat váš zájem pracovat se mnou v mém osobním e-mailovou adresu abijahabsolon@gmail.com k tomu, aby mi předal podrobnosti o tomto projektu na vás.

S pozdravem,
Abijáš Absolon 



Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sun, 19 Apr 2015 05:24:01 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Thu May 23 06:59:09 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.